import { ITekConfig } from '@zeedhi/teknisa-components-common';
import prodEnvironment from './prodEnvironment.json';
import devEnvironment from './devEnvironment.json';

const env = process.env.NODE_ENV === 'production' ? prodEnvironment : devEnvironment;

const config: ITekConfig = {
  endPoint: env.endPoint,
  metadataEndPoint: env.metadataEndPoint,
  env: {
    endPoint: env.endPoint,
  },
  saveGridLayoutsEndPoint: process.env.VUE_APP_SAVE_GRID_LAYOUTS_END_POINT,
  loadGridLayoutsEndPoint: process.env.VUE_APP_LOAD_GRID_LAYOUTS_END_POINT,
};

export default config;
