import { Http, Metadata } from '@zeedhi/core';
import { Select, Card, Grid } from '@zeedhi/common';

export class PedidoAlteracaoCardapioController {
  public async getInicialPedidoAlteracao() {
    Http.post('/getInicialPedidoAlteracao').then((response) => {
      const data = response.data.dataset.filtroInicial;
      localStorage.setItem('CDOPERADOR', data.CDOPERADOR);
      localStorage.setItem('NRORG', data.NRORG);
      localStorage.setItem('FILIAL_FILTRO', data.FILIAL_FILTRO);
    });
  }

  public filtroFilialFilioper() {
    const filialFiltro = Metadata.getInstance<Select>('FILIAL_FILTRO');
    const cdOperador = localStorage.getItem('CDOPERADOR');
    const nrOrg = localStorage.getItem('NRORG');
    const filter = {
      CDOPERADOR: cdOperador,
      NRORG: nrOrg,
    };
    filialFiltro.datasource.filter = filter;
    filialFiltro.datasource.get();
    filialFiltro.value = localStorage.getItem('FILIAL_LOGADA');
  }

  public configuraGridAlteracao() {
    const cardGridAlteracao = Metadata.getInstance<Card>('cardGrid');
    const gridAlteracao = Metadata.getInstance<Grid>('gridAlteracaoCardapio');
    cardGridAlteracao.isVisible = true;
    gridAlteracao.reload();
  }
}
