package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginFlows;
import com.javaseleniumtemplate.flows.EmissaoCardapioSemanaFlows;
import com.javaseleniumtemplate.pages.EmissaoCardapioSemanaPage;
import org.testng.annotations.Test;

public class EmissaoCardapioSemanaTests extends TestBase {

    EmissaoCardapioSemanaPage emissaoCardapioSemanaPage;
    EmissaoCardapioSemanaFlows emissaoCardapioSemanaFlows;
    LoginFlows loginFlows;

    @Test
    public void relatorioAlergenico() {
        emitiRelatorio("Emissão de Cardápio da Semana - Alergênico", "Não imprimir");
    }

    @Test
    public void relatorioCardapioSemana() {
        emitiRelatorio("Emissão do Cardápio da Semana", "Número");
    }

    @Test
    public void relatorioCusto() {
        emitiRelatorio("Emissão de Cardápio da Semana (Custo)", "Percentual");
    }

    public void emitiRelatorio(String nomeDoRelatorio, String nomeComensal) {
        emissaoCardapioSemanaPage = new EmissaoCardapioSemanaPage();
        emissaoCardapioSemanaFlows = new EmissaoCardapioSemanaFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        emissaoCardapioSemanaFlows.navegateEmissaoCardapioSemana();
        emissaoCardapioSemanaPage.selecionaRelatorio(nomeDoRelatorio);
        emissaoCardapioSemanaPage.selecionarComensal(nomeComensal);
        emissaoCardapioSemanaPage.geraRelatorio();
        emissaoCardapioSemanaPage.refresh();
        emissaoCardapioSemanaPage.selecionaRelatorio(nomeDoRelatorio);
        emissaoCardapioSemanaPage.selecionarServico();
        emissaoCardapioSemanaPage.selecionarAgruparPorServico();

        if (nomeDoRelatorio == "Emissão de Cardápio da Semana - Alergênico" || nomeDoRelatorio == "Emissão do Cardápio da Semana") {
            emissaoCardapioSemanaPage.selecionarDias();
        }
        if (nomeDoRelatorio == "Emissão de Cardápio da Semana (Custo)") {
            emissaoCardapioSemanaPage.selecionarBaseCardapio();
        }
        emissaoCardapioSemanaPage.selecionarComensal(nomeComensal);
        emissaoCardapioSemanaPage.geraRelatorio();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

    }

    //verificar os campos obrigatórios da tela
    //alterar o número dos campos semana inicial e final, de forma manual e também pelos botões '+' e '-'
    //verificar se os campos tipo custo estão habilitados apenas quando o relatório Emissão de Cardápio da Semana (Custo), está selecionado
    //verificar se após clicar nas opções de comensais (não imprimir, número e percentual), elas de fato ficam selecionadas
    //verificar se após clicar nas opções de agrupar por (semana e serviço), elas de fato ficam selecionadas
    //verificar se após clicar nas opções de cálcular custo planejado com base da data (de refeência, de cardápio), elas de fato ficam selecionadas
    //verficar a interação dos check-box, se os mesmos ficam selecionados e não
    @Test
    public void verificandoComponentes() {
        emissaoCardapioSemanaPage = new EmissaoCardapioSemanaPage();
        emissaoCardapioSemanaFlows = new EmissaoCardapioSemanaFlows();
        loginFlows = new LoginFlows();

        loginFlows.efetuarLogin();
        emissaoCardapioSemanaFlows.navegateEmissaoCardapioSemana();
        emissaoCardapioSemanaPage.camposObrigatorios();
        emissaoCardapioSemanaPage.refresh();
        emissaoCardapioSemanaPage.semanaInicialFinal();
        emissaoCardapioSemanaPage.refresh();
        emissaoCardapioSemanaPage.camposTipoCustoHabilitosPelosRelatorios();
        emissaoCardapioSemanaPage.refresh();
        emissaoCardapioSemanaPage.verificarBotoesComensais();
        emissaoCardapioSemanaPage.verificarBotoesAgruparPor();
        emissaoCardapioSemanaPage.verificarBotoesCalcularCustoPlanejado();
        emissaoCardapioSemanaPage.verificarOpcoesCheckBox();

        try {
            Thread.sleep(8000);
        } catch (InterruptedException e) {
            throw new RuntimeException(e);
        }
    }

}
